Update a direct investment
PUT
/portfolio/assets/direct/{id}Updates an existing Direct Investment asset. All provided fields will be replaced; fields not included in the request retain their current values.
Path parameters
Request body
application/json, required · PortfolioUpdateDirectAssetRequest
- One of:
direct
{
"client_reference": "string",
"name": "string",
"source": "string",
"source_id": "string",
"description": "string",
"class": "cash",
"currency": "string",
"investor_subscription_distribution": true,
"manual_valuation": true,
"show_fund_activity_to_investors": true,
"investor_fund_investment_assignment": true,
"hide_cumulative_distribution_timeline": true,
"parent_asset_id": 1,
"subposition_type": "class",
"valuation": 1,
"valuation_date": "2026-06-12T10:00:00+00:00",
"structure": "direct",
"vintage": 1900,
"stage": "pre_seed",
"sector_allocation": "string",
"geographic_allocation": "string",
"percentage_ownership": 0,
"repayment_date": "2026-06-12T10:00:00+00:00",
"interest_rate": "string",
"interest_payment_frequency": "string",
"conversion_date": "2026-06-12T10:00:00+00:00",
"conversion_terms": "string",
"location": "string"
}Responses
{
"data": {
"id": 1,
"parent_asset_id": 1,
"client_reference": "string",
"guid": "string",
"name": "string",
"class": "string",
"structure": "string",
"uid": "string",
"source": "string",
"source_id": "string",
"description": "string",
"currency": "string",
"has_subpositions": true,
"has_parent": true,
"subposition_type": "string",
"created_at": "string",
"updated_at": "string",
"raw_asset_data": [
"string"
],
"asset_data": [
"string"
],
"metadata": [
"string"
],
"toggles": {
"values": [
"string"
],
"chain_has_investor_toggle": true,
"is_manual_valuation": true,
"is_investor_sub_dist_allowed": true,
"show_valuation_timeline": true
},
"has_fund_cash": true,
"fund_cash_id": 1,
"has_fund_cash_pots": true,
"parent_has_fund_cash": true,
"parent_name": "string"
}
}422
Validation error
Examples
curl -X PUT https://your-org-domain/kong/core/api/v2/portfolio/assets/direct/{id}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"client_reference": "string",
"name": "string",
"source": "string",
"source_id": "string",
"description": "string",
"class": "cash",
"currency": "string",
"investor_subscription_distribution": true,
"manual_valuation": true,
"show_fund_activity_to_investors": true,
"investor_fund_investment_assignment": true,
"hide_cumulative_distribution_timeline": true,
"parent_asset_id": 1,
"subposition_type": "class",
"valuation": 1,
"valuation_date": "2026-06-12T10:00:00+00:00",
"structure": "direct",
"vintage": 1900,
"stage": "pre_seed",
"sector_allocation": "string",
"geographic_allocation": "string",
"percentage_ownership": 0,
"repayment_date": "2026-06-12T10:00:00+00:00",
"interest_rate": "string",
"interest_payment_frequency": "string",
"conversion_date": "2026-06-12T10:00:00+00:00",
"conversion_terms": "string",
"location": "string"
}'